XOSD_CREATE(3)

NAME
xosd_create - Create a new XOSD object

SYNOPSIS
#include <xosd.h>

xosd *xosd_create (int number_lines);

DESCRIPTION

xosd_init creates a new xosd window that can be used to display textual or numerical data on a X11 display in a unmanaged, shaped window that appears to be transparent. It provides a similar effect to the on-screen display of many televisions and video recorders.

ARGUMENTS

number_lines
    The maximum number of lines of text that the window can display. This value cannot be changed.

RETURN VALUE

On success a pointer to a new xosd object is returned, otherwise NULL is returned.

ENVIRONMENT

DISPLAY
    The environment variable that determines which X11 display the XOSD window appears.

char *xosd_error
    A string to a text string describing the error.

HISTORY

The xosd_create function first appeared in version 2.0 of the XOSD library, replacing the now depricated xosd_init function.

AUTHORS

The XOSD library was originally written by André Renaud, and is currenly maintained by Tim Wright. This document was written by Michael JasonSmith.

BUGS

There are no known bugs with xosd_create. Bug reports can be sent to <xosd@ignavus.net>.

SEE ALSO

 xosd_destroy(3), xosd_show(3), xosd_set_pos(3), xosd_set_align(3), xosd_set_shadow_offset(3), xosd_set_offset(3), xosd_set_timeout(3), xosd_set_colour(3), xosd_set_font(3), xosd_show(3), xosd_scroll(3).